Skip to main content
`Ctrl`+`K`

# SVDSetImplicitTranspose

Indicates how to handle the transpose of the matrix associated with the singular value problem.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetImplicitTranspose(SVD svd,PetscBool impl)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- impl - how to handle the transpose (implicitly or not)

## Options Database Key

- -svd_implicittranspose - enable the implicit transpose mode

## Notes

By default, the transpose of the matrix is explicitly built (if the matrix has defined the `MatTranspose()` operation, `MATOP_TRANSPOSE`).

If this flag is set to `PETSC_TRUE`, the solver does not build the transpose, but handles it implicitly via `MatMultTranspose()` (or `MatMultHermitianTranspose()` in the complex case) operations. This is likely to be more inefficient than the default behavior, both sequentially and in parallel, but requires less storage.

## See Also

SVD: Singular Value Decomposition, `SVDGetImplicitTranspose()`, `SVDSolve()`, `SVDSetOperators()`

## Level

advanced

## Location

src/svd/interface/svdopts.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages